Subject: bug#65621: [PATCH] `dired-next-line' go to meaningful line

From: Drew Adams <[email-masked]>
Date: Thu, 31 Aug 2023 15:35:10 +0000

> > Dradams:
> > It could be argued that the blank lines that precede headings of
> > inserted subdirs could be skipped over.  But it should _definitely_
> > move to the header lines themselves.
> 
> You can move anywhere you want _easily_ no matter whether
> this feature is enabled.  As I said before:
> 
> > Just use mouse, `{forward,backward}-{char,word}',
> > `{previous,next}-line', etc.  Anyway, I just changed the definition
> > of `dired-next-line', so actually users have many ways to do what
> > they want.

No, no, no.  `dired-(next|previous)-line' should
move to header lines, as well as to file/dir lines.
This is important.

As I said, users can perform actions (I gave the
example of `m') on header lines, just as they can
on file/dir lines.  And in many cases, they can
invoke the _same_ commands (e.g. `dired-mark',
bound to `m'), often with the meaning of applying
to all files/dirs in the listing for that header.

Let's not change Dired willy nilly.  Let's please
learn it well enough to take into account its
existing (and longstanding) behavior in some area,
before opting to change it.

In this case: there's a reason we have `n' and `p'
bound to Dired-specific commands.  Navigation
destination should generally be somewhere you can
do something Dired-specific.  Put differently, it
should _at least include_ places where you can do
something Dired-specific.

Same thing for other Dired navigation commands,
such as `>', `C-M-n', `^', `C-M-u', and `i'.